Package org.lwjgl.opengl

# Class ARBTextureView

java.lang.Object
org.lwjgl.opengl.ARBTextureView

public final class ARBTextureView extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_TEXTURE_IMMUTABLE_LEVELS`
Accepted by the <pname> parameters of GetTexParameterfv and GetTexParameteriv:
`static final int`
`GL_TEXTURE_VIEW_MIN_LAYER`
Accepted by the <pname> parameters of GetTexParameterfv and GetTexParameteriv:
`static final int`
`GL_TEXTURE_VIEW_MIN_LEVEL`
Accepted by the <pname> parameters of GetTexParameterfv and GetTexParameteriv:
`static final int`
`GL_TEXTURE_VIEW_NUM_LAYERS`
Accepted by the <pname> parameters of GetTexParameterfv and GetTexParameteriv:
`static final int`
`GL_TEXTURE_VIEW_NUM_LEVELS`
Accepted by the <pname> parameters of GetTexParameterfv and GetTexParameteriv:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glTextureView(int texture, int target, int origtexture, int internalformat, int minlevel, int numlevels, int minlayer, int numlayers)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TEXTURE_VIEW_MIN_LEVEL

public static final int GL_TEXTURE_VIEW_MIN_LEVEL
Accepted by the <pname> parameters of GetTexParameterfv and GetTexParameteriv:

See Also:
  - Constant Field Values

### GL_TEXTURE_VIEW_NUM_LEVELS

public static final int GL_TEXTURE_VIEW_NUM_LEVELS
Accepted by the <pname> parameters of GetTexParameterfv and GetTexParameteriv:

See Also:
  - Constant Field Values

### GL_TEXTURE_VIEW_MIN_LAYER

public static final int GL_TEXTURE_VIEW_MIN_LAYER
Accepted by the <pname> parameters of GetTexParameterfv and GetTexParameteriv:

See Also:
  - Constant Field Values

### GL_TEXTURE_VIEW_NUM_LAYERS

public static final int GL_TEXTURE_VIEW_NUM_LAYERS
Accepted by the <pname> parameters of GetTexParameterfv and GetTexParameteriv:

See Also:
  - Constant Field Values

### GL_TEXTURE_IMMUTABLE_LEVELS

public static final int GL_TEXTURE_IMMUTABLE_LEVELS
Accepted by the <pname> parameters of GetTexParameterfv and GetTexParameteriv:

See Also:
  - Constant Field Values

## Method Details

### glTextureView

public static void glTextureView(int texture, int target, int origtexture, int internalformat, int minlevel, int numlevels, int minlayer, int numlayers)